# This is the only variables that you need to change
Prefix:    /usr

Name:      kbiff
Summary:   KBiff -- Mail notification utility
Version:   4.0
Release:   1
License:   GPL
Group:     Productivity/Networking/Email/Utilities
Source:    kbiff-%{version}.tar.bz2
URL:       http://kbiff.org
Packager:  Kurt Granroth <granroth@kde.org>
BuildRoot: /tmp/kbiff-%{version}

%description
An "xbiff"-like mail notification utility. Has multiple
pixmaps, session management, and GUI configuration. Can
"dock" into KDE panel.  Can display animated gifs, play
system sounds,  or run arbitrary shell command when new
mail arrives.  Supports mbox, maildir, mh, POP3, IMAP4,
and NNTP mailboxes.  Has capability to monitor multiple
mailboxes with one instance.  Supports SSL.

%prep
%setup

%build
cmake -DCMAKE_INSTALL_PREFIX=%{prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/kbiff
%{prefix}/lib*/*
%{prefix}/share/applications/kde4/kbiff.desktop
%{prefix}/share/kde4/apps/kbiff/
%{prefix}/share/doc/kde/HTML/*/kbiff/
%{prefix}/share/icons/*/*/apps/kbiff.png
%{prefix}/share/locale/*/LC_MESSAGES/kbiff.mo
%{_mandir}/*/*
%doc AUTHORS ChangeLog COPYING INSTALL kbiff.lsm NEWS README
